/*!	
	@file
	@brief	ゲーム側から扱うストレージ
*/

#ifndef CStorage_h
#define CStorage_h

#include"../Setup/CompileMode.h"

#include"Core/CStorageCore.h"

namespace Maid
{
	class CStorage
	{
	public:
		CStorage();
		virtual ~CStorage();

		void Initialize();
		void Finalize();

	protected:
		virtual void LocalInitialize();
		virtual void LocalFinalize();

	protected:
		CStorageCore	m_Core;
	};
}


#endif
